import matplotlib.pyplot as plt
import japanmap as jm

# 都道府県と旧県名を対応させる辞書を定義する
prefecture_to_old_province = {
    "北海道": "蝦夷地",
    "青森県": "陸奥国",
    "岩手県": "陸奥国",
    "宮城県": "陸奥国",
    "秋田県": "出羽国",
    "山形県": "出羽国",
    "福島県": "陸奥国",
    "茨城県": "常陸国",
    "栃木県": "下野国",
    "群馬県": "上野国",
    "埼玉県": "武蔵国",
    "千葉県": "下総国",
    "東京都": "武蔵国",
    "神奈川県": "相模国",
    "新潟県": "越後国",
    "富山県": "越中国",
    "石川県": "加賀国",
    "福井県": "若狭国",
    "山梨県": "甲斐国",
    "長野県": "信濃国",
    "岐阜県": "美濃国",
    "静岡県": "遠江国",
    "愛知県": "尾張国",
    "三重県": "伊勢国",
    "滋賀県": "近江国",
    "京都府": "山城国",
    "大阪府": "河内国",
    "兵庫県": "播磨国",
    "奈良県": "大和国",
    "和歌山県": "紀伊国",
    "鳥取県": "因幡国",
    "島根県": "出雲国",
    "岡山県": "備前国",
    "広島県": "安芸国",
    "山口県": "長門国",
    "徳島県": "阿波国",
    "香川県": "讃岐国",
    "愛媛県": "伊予国",
    "高知県": "土佐国",
    "福岡県": "筑前国",
    "佐賀県": "肥前国",
    "長崎県": "肥前国",
    "熊本県": "肥後国",
    "大分県": "豊後国",
    "宮崎県": "日向国",
    "鹿児島県": "薩摩国",
    "沖縄県": "琉球国",
}

def main():
    # ユーザーからの入力を受け取る
    prefecture = input("Please enter the name of the prefecture: ")

    # 辞書から旧県名を取得
    old_province = prefecture_to_old_province.get(prefecture)

    # 指定された都道府県の色を指定
    colors = {prefecture: "red"}

    # 日本地図のデータを取得
    cmap = jm.picture(colors)

    # 旧県名を表示する
    if old_province:
        print(f"{prefecture}の旧国名は{old_province}です。")
    else:
        print("入力された都道府県名が見つかりませんでした。")

    # 地図を表示
    plt.imshow(cmap)
    plt.show()

if __name__ == "__main__":
    main()